net.corda.contracts

## Class CommercialPaperLegacyKt

- net.corda.contracts.CommercialPaperLegacyKt

-     public class CommercialPaperLegacyKt

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CommercialPaperLegacy` | `getCP_LEGACY_PROGRAM_ID()` Legacy version of `class CommercialPaper` that includes the full verification logic itself, rather than breaking it into clauses. This is here just as an example for the contract tutorial.

- - ### Method Detail

    - #### getCP_LEGACY_PROGRAM_ID

          public static CommercialPaperLegacy getCP_LEGACY_PROGRAM_ID()

      Legacy version of `class CommercialPaper` that includes the full verification logic itself, rather than breaking it into clauses. This is here just as an example for the contract tutorial.

      See Also:
        `class CommercialPaper`